Name:           xwota
Version:        0.4
Release:        7%{?dist}
Summary:        Who's On the Air Database interface

Group:          Applications/Communications
License:        GPL+
URL:            http://people.fabaris.it/iz0ete/xwota/
Source0:        http://people.fabaris.it/iz0ete/%{name}/%{name}-%{version}.tar.gz
Source1:        xwota.desktop
Source2:        xwota.png
Patch0:		xwota-0.4-overflow.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pkgconfig
BuildRequires:  gtk2-devel
BuildRequires:  desktop-file-utils
#Requires:       

%description
Xwota is intended for amateur radio operators who want to make use of the WOTA 
database.

It can be used to find out who is on the air, the band and frequency they are 
operating on, and their location by country, state, county, grid, and 
latitude/longitude

It's very similar to a DX Cluster client, but it works with the WOTA database 
and contains more informations.

If you don't known what is the WOTA database, please read some infos at 
http://www.wotadb.org.

%prep
%setup -q
%patch0 -p1 -b .overflow


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
# Don't include these twice
rm -rf $RPM_BUILD_ROOT%{_usr}/doc/
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
desktop-file-install \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop


%changelog
* Mon Aug 03 2009 Lucian Langa <cooly@gnome.eu.org> - 0.4-7
- fix buffer overflow (#510918)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Nov 07 2008 Lucian Langa <cooly@gnome.eu.org> - 0.4-5
- license fix
- desktop icon fix
- description fix

* Thu Aug 28 2008 Lucian Langa <cooly@gnome.eu.org> - 0.4-4
- added missing desktop/icon file

* Wed Aug 27 2008 Lucian Langa <cooly@gnome.eu.org> - 0.4-3
- preserve timestamps

* Tue Nov 20 2007 Robert 'Bob' Jensen <bob@bobjensen.com> 0.4-2
- Fix rpmlint errors
* Tue Nov 20 2007 Robert 'Bob' Jensen <bob@bobjensen.com> 0.4-1
- Initial SPEC

